### A free/open-source library for quantitative finance

Public Member Functions
AnalyticEuropeanMargrabeEngine Class Reference

Analytic engine for European Margrabe option. More...

`#include <ql/experimental/exoticoptions/analyticeuropeanmargrabeengine.hpp>`

Inheritance diagram for AnalyticEuropeanMargrabeEngine:
[legend]

List of all members.

## Public Member Functions

| AnalyticEuropeanMargrabeEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process1, const boost::shared_ptr< GeneralizedBlackScholesProcess > &process2, Real correlation)
void | calculate () const

## Detailed Description

Analytic engine for European Margrabe option.

This class implements formulae from "The Value of an Option to Exchange One Asset for Another", W. Margrabe, Journal of Finance, 33 (March 1978), 177-186.

Tests:
  the correctness of the returned value is tested by reproducing results available in literature.